## ros-melodic-laser-assembler 1.7.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_assembler)

##############################################################################
# Find dependencies
##############################################################################

set(THIS_PACKAGE_ROS_DEPS
tf sensor_msgs message_filters roscpp laser_geometry filters)

find_package(catkin REQUIRED COMPONENTS
  ${THIS_PACKAGE_ROS_DEPS}
  message_generation)
find_package(Boost REQUIRED COMPONENTS system)
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

##############################################################################
# Build service definitions
##############################################################################
add_service_files(FILES
AssembleScans.srv
AssembleScans2.srv)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

##############################################################################
# Define package
##############################################################################

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS ${THIS_PACKAGE_ROS_DEPS} message_runtime
  DEPENDS
  )

##############################################################################
# Build
##############################################################################

add_executable(laser_scan_assembler_srv src/laser_scan_assembler_srv.cpp)
target_link_libraries(laser_scan_assembler_srv ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(laser_scan_assembler_srv ${PROJECT_NAME}_gencpp)

add_executable(laser_scan_assembler src/laser_scan_assembler.cpp)
target_link_libraries(laser_scan_assembler ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(laser_scan_assembler ${PROJECT_NAME}_gencpp)

add_executable(merge_clouds src/merge_clouds.cpp)
target_link_libraries(merge_clouds ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(merge_clouds ${PROJECT_NAME}_gencpp)

add_executable(point_cloud_assembler_srv src/point_cloud_assembler_srv.cpp)
target_link_libraries(point_cloud_assembler_srv ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(point_cloud_assembler_srv ${PROJECT_NAME}_gencpp)

add_executable(point_cloud_assembler src/point_cloud_assembler.cpp)
target_link_libraries(point_cloud_assembler ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(point_cloud_assembler ${PROJECT_NAME}_gencpp)

add_executable(point_cloud2_assembler src/point_cloud2_assembler.cpp)
target_link_libraries(point_cloud2_assembler ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(point_cloud2_assembler ${PROJECT_NAME}_gencpp)

## unit testing

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)

  add_executable(periodic_snapshotter examples/periodic_snapshotter.cpp)
  target_link_libraries(periodic_snapshotter ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  add_dependencies(periodic_snapshotter ${PROJECT_NAME}_gencpp)

  add_executable(dummy_scan_producer test/dummy_scan_producer.cpp)
  target_link_libraries(dummy_scan_producer ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  add_dependencies(dummy_scan_producer ${PROJECT_NAME}_gencpp)

  add_executable(test_assembler test/test_assembler.cpp)
  target_link_libraries(test_assembler ${catkin_LIBRARIES} ${Boost_LIBRARIES} gtest)
  add_dependencies(test_assembler ${PROJECT_NAME}_gencpp)

  add_rostest(test/test_laser_assembler.launch)
endif()

##############################################################################
# Install
##############################################################################

install(TARGETS
    laser_scan_assembler_srv
    laser_scan_assembler
    merge_clouds
    point_cloud_assembler_srv
    point_cloud_assembler
    point_cloud2_assembler
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-laser-assembler (1.7.7-2bionic) bionic; urgency=high



 -- Jonathan Binney <jon.binney@gmail.com>  Thu, 13 Jun 2019 07:00:00 -0000

ros-melodic-laser-assembler (1.7.6-2bionic) bionic; urgency=high

  * Fix compilation issues with new boost
    See https://github.com/ros/actionlib/issues/104
  * Contributors: Tobias Fischer

 -- Jonathan Binney <jon.binney@gmail.com>  Tue, 20 Nov 2018 08:00:00 -0000

ros-melodic-laser-assembler (1.7.5-2bionic) bionic; urgency=high

  * Change maintainer to Jon Binney
  * Contributors: Jon Binney

 -- Jonathan Binney <jon.binney@gmail.com>  Thu, 19 Apr 2018 07:00:00 -0000

ros-melodic-laser-assembler (1.7.4-2bionic) bionic; urgency=high

  * properly link to gtest
  * Contributors: Vincent Rabaud

 -- Jonathan Binney <jon.binney@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-melodic-laser-assembler (1.7.3-2bionic) bionic; urgency=high

  * get the test as a proper rostest and clean CMake
    that fixes #7 <https://github.com/ros-perception/laser_assembler/issues/7>
  * Merge pull request #4 <https://github.com/ros-perception/laser_assembler/issues/4> from bulwahn/hydro-devel
    make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Jonathan Binney <jon.binney@gmail.com>  Sat, 25 Apr 2015 07:00:00 -0000

ros-melodic-laser-assembler (1.7.2-2bionic) bionic; urgency=high

  * Merge pull request #3 <https://github.com/ros-perception/laser_assembler/issues/3> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Contributors: David Gossow, Lukas Bulwahn

 -- Jonathan Binney <jon.binney@gmail.com>  Tue, 08 Apr 2014 07:00:00 -0000

ros-melodic-laser-assembler (1.7.1-2bionic) bionic; urgency=high

  * version 1.7.0
  * removed rosbuild files
  * switched to catkin
  * Merge pull request #2 <https://github.com/ros-perception/laser_assembler/issues/2> from jspricke/point_cloud2_assembler
    New point_cloud2_assembler for PointCloud2 input
  * New point_cloud2_assembler for PointCloud2 input
  * Contributors: David Gossow, Jochen Sprickerhof, Vincent Rabaud

 -- Jonathan Binney <jon.binney@gmail.com>  Wed, 26 Jun 2013 07:00:00 -0000

ros-melodic-laser-assembler (1.5.5-2bionic) bionic; urgency=high

  * Merge pull request #1 <https://github.com/ros-perception/laser_assembler/issues/1> from YoheiKakiuchi/groovy-devel
    Adding code for using PointCloud2
  * add code for using PointCloud2
  * add AssembleScans.srv and add code for using PointCloud2
  * Contributors: Vincent Rabaud, applications

 -- Jonathan Binney <jon.binney@gmail.com>  Mon, 19 Nov 2012 08:00:00 -0000

ros-melodic-laser-assembler (1.5.4-2bionic) bionic; urgency=high

  * created stack.xml and added stuff for unary-stack-ification
  * add missing boost linkage
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@40155 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * more missing boost links
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@38625 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * use the new bullet and eigen conventions
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@38342 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Removing unnecessary exports
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@35366 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Removing deprecation warnings
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@35255 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Moving away from deprecated API of laser projector
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@35240 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Added Ubuntu platform tags to manifest
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@29657 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * fixed all warnings
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@29627 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Adding test to laser_assembler. Trac #3153 <https://github.com/ros-perception/laser_assembler/issues/3153>
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@26843 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * laser_assembler: adding comments to srv file based on wiki docs
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@26802 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Updating stack/manifest.xml files
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@26801 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * A little more error checking. #2126 <https://github.com/ros-perception/laser_assembler/issues/2126>
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@26581 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Remove use of deprecated rosbuild macros
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@25975 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Added link against boost::system, to fix build on OS X
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@25628 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Updating wiki images
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@24787 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Updating example to use assemble_scans
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@24653 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Deprecating build_cloud. Renaming to assemble_scans
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@24644 eb33c2ac-9c88-4c90-87e0-44a10359b0c3
  * Fixing timing logic in periodic snapshotter
    git-svn-id: https://code.ros.org/svn/ros-pkg/stacks/laser_pipeline/trunk@24625 eb33c2ac-9c88-4c90-87e0-44a10359b0c3


=== debian/control ===
Source: ros-melodic-laser-assembler
Section: misc
Priority: extra
Maintainer: Jonathan Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-filters, ros-melodic-laser-geometry, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-tf
Homepage: http://ros.org/wiki/laser_assembler
Standards-Version: 3.9.2

Package: ros-melodic-laser-assembler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-filters, ros-melodic-laser-geometry, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Description: Provides nodes to assemble point clouds from either LaserScan or PointCloud messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-laser-assembler//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
